"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
module.exports = void 0;

var _utils = require("./utils");

var _node = require("ohmyfetch/node");

var _ufo = require("ufo");

var _default = (0, _utils.defineDriver)((opts = {}) => {
  const r = key => (0, _ufo.joinURL)(opts.base, key.replace(/:/g, "/"));

  return {
    hasItem(key) {
      return (0, _node.$fetch)(r(key), {
        method: "HEAD"
      }).then(() => true).catch(() => false);
    },

    async getItem(key) {
      const value = (0, _node.$fetch)(r(key));
      return value;
    },

    async setItem(key, value) {
      await (0, _node.$fetch)(r(key), {
        method: "PUT",
        body: (0, _utils.stringify)(value)
      });
    },

    async removeItem(key) {
      await (0, _node.$fetch)(r(key), {
        method: "DELETE"
      });
    },

    async getKeys() {
      const value = await (0, _node.$fetch)(r(""));
      return Array.isArray(value) ? value : [];
    },

    clear() {}

  };
});

module.exports = _default;