import {defineDriver} from "./utils/index.mjs";
import {stringify} from "./utils/index.mjs";
import {$fetch} from "ohmyfetch/node";
import {joinURL} from "ufo";
export default defineDriver((opts = {}) => {
  const r = (key) => joinURL(opts.base, key.replace(/:/g, "/"));
  return {
    hasItem(key) {
      return $fetch(r(key), {method: "HEAD"}).then(() => true).catch(() => false);
    },
    async getItem(key) {
      const value = $fetch(r(key));
      return value;
    },
    async setItem(key, value) {
      await $fetch(r(key), {method: "PUT", body: stringify(value)});
    },
    async removeItem(key) {
      await $fetch(r(key), {method: "DELETE"});
    },
    async getKeys() {
      const value = await $fetch(r(""));
      return Array.isArray(value) ? value : [];
    },
    clear() {
    }
  };
});
